org.eclipse.cdt.core.dom.ast

## Class IScope.ScopeLookupData

- java.lang.Object
- - org.eclipse.cdt.core.dom.ast.IScope.ScopeLookupData

Enclosing interface:
  IScope

    public static class IScope.ScopeLookupData
    extends java.lang.Object

Since:
  5.5

### Constructor Summary

Constructors
Constructor and Description
`ScopeLookupData(char[] name, IASTNode point)`
`ScopeLookupData(char[] name, IASTTranslationUnit tu)`
`ScopeLookupData(IASTName name, boolean resolve, boolean prefixLookup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.cdt.core.index.IIndexFileSet` `getIncludedFiles()`
`org.eclipse.cdt.core.index.IIndex` `getIndex()`
`char[]` `getLookupKey()`
`IASTName` `getLookupName()`
`IASTNode` `getLookupPoint()`
`IASTTranslationUnit` `getTranslationUnit()`
`boolean` `isArgumentDependent()`
`boolean` `isIgnorePointOfDeclaration()`
`boolean` `isPrefixLookup()`
`boolean` `isResolve()`
`void` `setArgumentDependent(boolean argumentDependent)`
`void` `setIgnorePointOfDeclaration(boolean ignorePointOfDeclaration)`
`void` `setLookupKey(char[] key)`
`void` `setPrefixLookup(boolean prefixLookup)`
`void` `setResolve(boolean resolve)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopeLookupData

    public ScopeLookupData(IASTName name,
                           boolean resolve,
                           boolean prefixLookup)

#### ScopeLookupData

    public ScopeLookupData(char[] name,
                           IASTNode point)

#### ScopeLookupData

    public ScopeLookupData(char[] name,
                           IASTTranslationUnit tu)

Since:
  5.11

### Method Detail

#### setPrefixLookup

    public final void setPrefixLookup(boolean prefixLookup)

#### setResolve

    public final void setResolve(boolean resolve)

#### setIgnorePointOfDeclaration

    public final void setIgnorePointOfDeclaration(boolean ignorePointOfDeclaration)

#### setArgumentDependent

    public final void setArgumentDependent(boolean argumentDependent)

Since:
  6.3

#### setLookupKey

    public final void setLookupKey(char[] key)

#### getLookupKey

    public final char[] getLookupKey()

#### getLookupPoint

    public final IASTNode getLookupPoint()

#### isResolve

    public final boolean isResolve()

#### isPrefixLookup

    public final boolean isPrefixLookup()

#### isIgnorePointOfDeclaration

    public final boolean isIgnorePointOfDeclaration()

#### isArgumentDependent

    public final boolean isArgumentDependent()

Since:
  6.3

#### getIncludedFiles

    public final org.eclipse.cdt.core.index.IIndexFileSet getIncludedFiles()

#### getIndex

    public final org.eclipse.cdt.core.index.IIndex getIndex()

#### getLookupName

    public final IASTName getLookupName()

#### getTranslationUnit

    public IASTTranslationUnit getTranslationUnit()